package com.hw.dms.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.hw.common.core.annotation.Excel;
import com.hw.common.core.web.domain.BaseEntity;

/**
 * 设备档案信息对象 dms_base_device_files
 *
 * @author xins
 * @date 2024-01-09
 */
public class DmsBaseDeviceFiles extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键标识 */
    private Long deviceFilesId;

    /** 设备ID,关联dms_base_device_ledger的device_id */
    @Excel(name = "设备ID,关联dms_base_device_ledger的device_id")
    private Long deviceId;

    /** 档案编号 */
    @Excel(name = "档案编号")
    private String filesCode;

    /** 档案名称 */
    @Excel(name = "档案名称")
    private String filesName;

    /** 档案路径 */
    @Excel(name = "档案路径")
    private String filesPath;

    /** 是否标识：1-是；2-否 */
    @Excel(name = "是否标识：1-是；2-否")
    private Long isFlag;

    private String deviceName;

    public String getDeviceName() {
        return deviceName;
    }

    public void setDeviceName(String deviceName) {
        this.deviceName = deviceName;
    }

    public void setDeviceFilesId(Long deviceFilesId)
    {
        this.deviceFilesId = deviceFilesId;
    }

    public Long getDeviceFilesId()
    {
        return deviceFilesId;
    }
    public void setDeviceId(Long deviceId)
    {
        this.deviceId = deviceId;
    }

    public Long getDeviceId()
    {
        return deviceId;
    }
    public void setFilesCode(String filesCode)
    {
        this.filesCode = filesCode;
    }

    public String getFilesCode()
    {
        return filesCode;
    }
    public void setFilesName(String filesName)
    {
        this.filesName = filesName;
    }

    public String getFilesName()
    {
        return filesName;
    }
    public void setFilesPath(String filesPath)
    {
        this.filesPath = filesPath;
    }

    public String getFilesPath()
    {
        return filesPath;
    }
    public void setIsFlag(Long isFlag)
    {
        this.isFlag = isFlag;
    }

    public Long getIsFlag()
    {
        return isFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("deviceFilesId", getDeviceFilesId())
            .append("deviceId", getDeviceId())
            .append("filesCode", getFilesCode())
            .append("filesName", getFilesName())
            .append("filesPath", getFilesPath())
            .append("isFlag", getIsFlag())
            .append("remark", getRemark())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
